<!DOCTYPE html>
<html lang="en" class="js csstransforms3d">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="generator" content="Hugo 0.44" />
    <meta name="description" content="Documentation for Hugo Learn Theme">
<meta name="author" content="Mathieu Cornic">

    <link rel="shortcut icon" href="/images/favicon.png" type="image/x-icon" />
<link rel="icon" href="/images/favicon.png" type="image/x-icon" />
    <title>Pages organization :: Documentation for Hugo Learn Theme</title>

    
    <link href="/css/nucleus.css?1545065465" rel="stylesheet">
    <link href="/css/fontawesome-all.min.css?1545065465" rel="stylesheet">
    <link href="/css/hybrid.css?1545065465" rel="stylesheet">
    <link href="/css/featherlight.min.css?1545065465" rel="stylesheet">
    <link href="/css/perfect-scrollbar.min.css?1545065465" rel="stylesheet">
    <link href="/css/auto-complete.css?1545065465" rel="stylesheet">
    <link href="/css/theme.css?1545065465" rel="stylesheet">
    <link href="/css/hugo-theme.css?1545065465" rel="stylesheet">
    

    <script src="/js/jquery-2.x.min.js?1545065465"></script>

    <style type="text/css">
      :root #header + #content > #left > #rlblock_left{
          display:none !important;
      }
      
    </style>
    
  </head>
  <body class="" data-url="/en/cont/pages/">
    <nav id="sidebar" class="showVisitedLinks">



  <div id="header-wrapper">
    <div id="header">
      <a id="logo" href="/">

<svg id="grav-logo" version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"
	width="100%" height="100%"  viewBox="0 0 285.1 69.9" xml:space="preserve">
<g>
	<path d="M35,0c9.6,0,17.9,3.4,24.7,10.3c6.8,6.8,10.3,15,10.3,24.7c0,9.7-3.4,17.9-10.3,24.7c-6.8,6.8-15,10.3-24.7,10.3
		c-9.7,0-17.9-3.4-24.7-10.3C3.4,52.8,0,44.6,0,34.9c0-9.6,3.4-17.9,10.3-24.7C17.1,3.4,25.3,0,35,0z M22.3,63.7
		c0.3-7.4,0.3-14.7,0-22.1c-2.1-0.4-4-0.4-5.9,0c-0.2,0.8-0.2,2.5-0.1,4.9c0.1,2.3,0,3.9-0.3,4.8c-1.7-0.6-2.7-2.1-3.1-4.6
		c-0.1-0.7-0.1-3.3-0.1-8c0-14.5-0.1-23-0.3-25.6c-3.6,4.1-5.6,7-5.9,8.5v10.9c0,4.5,0.1,8.1,0.2,10.9c0,0.4,0,1.3-0.1,2.8
		c-0.1,1.2,0,2.1,0.1,2.6c0.1,0.6,1.1,2.1,2.8,4.7C13.2,58.7,17.5,62.2,22.3,63.7z M44.6,65.4c0.3-5,0.2-12.9-0.1-23.6
		c-2.1-0.3-4.1-0.3-5.9,0c-0.2,2-0.2,5.1-0.1,9.5c0.1,4.3,0,7.5-0.1,9.5c-2.9,0.4-5,0.3-6.2-0.1c-0.2-5.6-0.2-15.2-0.1-28.7
		c0.1-12.4,0-21.8-0.3-28.3c-2.4,0.1-4.3,0.6-5.7,1.3c-0.1,7.7-0.2,17.7-0.1,30.1c0,16.5,0,26.6,0,30.3c2.3,1.1,5.4,1.7,9.4,1.7
		C38.9,66.9,42.1,66.4,44.6,65.4z M48.1,64.1c9.7-4.6,15.7-12,18-22.2c-1.8-0.2-3.8-0.3-6.1-0.3c-1.6,3.9-2.6,6.3-3.2,7.2
		c-1.1,1.7-2,2.5-2.7,2.5C54,46,54,39.1,54,30.5c0-11.5,0-18.4,0-20.9c-1.4-1.4-3.3-2.5-5.7-3.4C48.1,6.3,48,6.4,48,6.7
		c0,3.5,0,13.1,0,28.8C47.9,47.2,48,56.8,48.1,64.1z"/>
</g>
<g>
	<path d="M116.6,51.3h-29c-0.5,0-0.9-0.1-1.3-0.2c-0.4-0.2-0.7-0.4-1-0.7c-0.3-0.3-0.5-0.6-0.7-1c-0.2-0.4-0.2-0.8-0.2-1.3V16.3h6.3
		V45h25.8V51.3z"/>
	<path d="M154.8,51.3h-22.9c-0.9,0-1.8-0.2-2.9-0.5c-1-0.3-2-0.8-2.9-1.5c-0.9-0.7-1.6-1.6-2.2-2.8c-0.6-1.1-0.9-2.5-0.9-4.2V19.5
		c0-0.4,0.1-0.9,0.2-1.2c0.2-0.4,0.4-0.7,0.7-1c0.3-0.3,0.6-0.5,1-0.7c0.4-0.2,0.8-0.2,1.3-0.2h28.6v6.3h-25.4v19.8
		c0,0.8,0.2,1.5,0.7,1.9s1.1,0.7,1.9,0.7h22.9V51.3z M151.9,37h-20v-6.4h20V37z"/>
	<path d="M197.3,51.3H191v-8.6h-22.3v8.6h-6.3V33.8c0-2.6,0.4-4.9,1.3-7.1s2.1-4,3.7-5.5c1.6-1.5,3.4-2.8,5.5-3.6
		c2.1-0.9,4.5-1.3,7-1.3h14.3c0.4,0,0.9,0.1,1.2,0.2c0.4,0.2,0.7,0.4,1,0.7s0.5,0.6,0.7,1c0.2,0.4,0.2,0.8,0.2,1.2V51.3z
		 M168.7,36.4H191V22.6h-11.2c-0.2,0-0.6,0-1.2,0.1c-0.6,0.1-1.4,0.2-2.2,0.4c-0.8,0.2-1.7,0.6-2.6,1c-0.9,0.5-1.8,1.1-2.5,2
		c-0.8,0.8-1.4,1.9-1.9,3.1c-0.5,1.2-0.7,2.8-0.7,4.5V36.4z"/>
	<path d="M241.7,28.1c0,1.4-0.2,2.7-0.5,3.9c-0.4,1.1-0.8,2.1-1.5,3c-0.6,0.9-1.3,1.6-2.1,2.2c-0.8,0.6-1.6,1.1-2.5,1.5
		c-0.9,0.4-1.8,0.7-2.6,0.9c-0.9,0.2-1.7,0.3-2.5,0.3l13.3,11.5h-9.8l-13.2-11.5h-4.6v-6.3H230c0.8-0.1,1.5-0.2,2.2-0.5
		c0.7-0.3,1.2-0.6,1.7-1.1c0.5-0.5,0.9-1,1.1-1.6c0.3-0.6,0.4-1.4,0.4-2.2v-4c0-0.4,0-0.6-0.1-0.8c-0.1-0.2-0.2-0.3-0.3-0.4
		c-0.1-0.1-0.3-0.1-0.4-0.2c-0.2,0-0.3,0-0.4,0h-20.9v28.7h-6.3V19.5c0-0.4,0.1-0.9,0.2-1.2c0.2-0.4,0.4-0.7,0.7-1
		c0.3-0.3,0.6-0.5,1-0.7c0.4-0.2,0.8-0.2,1.3-0.2H234c1.4,0,2.6,0.3,3.6,0.8s1.8,1.2,2.4,1.9c0.6,0.8,1,1.6,1.3,2.5
		c0.3,0.9,0.4,1.7,0.4,2.5V28.1z"/>
	<path d="M285.1,48.6c0,0.5-0.1,0.9-0.3,1.3c-0.2,0.4-0.4,0.7-0.7,1c-0.3,0.3-0.6,0.5-1,0.7c-0.4,0.2-0.8,0.2-1.2,0.2
		c-0.4,0-0.8-0.1-1.2-0.2c-0.4-0.1-0.8-0.4-1.1-0.7l-23.2-24.2v24.7h-6.3V19c0-0.7,0.2-1.2,0.5-1.8c0.4-0.5,0.8-0.9,1.4-1.2
		c0.6-0.2,1.2-0.3,1.9-0.2s1.2,0.4,1.6,0.9l23.2,24.2V16.3h6.3V48.6z"/>
</g>
</svg>

</a>

    </div>
    
        <div class="searchbox">
    <label for="search-by"><i class="fas fa-search"></i></label>
    <input data-search-input id="search-by" type="text" placeholder="Search...">
    <span data-search-clear=""><i class="fas fa-close"></i></span>
</div>

<script type="text/javascript" src="/js/lunr.min.js?1545065465"></script>
<script type="text/javascript" src="/js/auto-complete.js?1545065465"></script>
<script type="text/javascript">
    
        var baseurl = "\/\/en";
    
</script>
<script type="text/javascript" src="/js/search.js?1545065465"></script>

    
  </div>

    <div class="highlightable">
    <ul class="topics">

        
          
          


 
  
    
    <li data-nav-id="/en/basics/" title="Basics" class="dd-item 
        
        
        
        ">
      <a href="/en/basics/">
          <b>1. </b>Basics
          
            <i class="fas read-icon"></i>
          
      </a>
      
      
        <ul>
          
          
            
          
          
          
        
          
            
            


 
  
    
    <li data-nav-id="/en/basics/requirements/" title="Requirements" class="dd-item 
        
        
        
        ">
      <a href="/en/basics/requirements/">
          Requirements
          
            <i class="fas read-icon"></i>
          
      </a>
      
              
    </li>
  
 

            
          
            
            


 
  
    
    <li data-nav-id="/en/basics/installation/" title="Installation" class="dd-item 
        
        
        
        ">
      <a href="/en/basics/installation/">
          Installation
          
            <i class="fas read-icon"></i>
          
      </a>
      
              
    </li>
  
 

            
          
            
            


 
  
    
    <li data-nav-id="/en/basics/configuration/" title="Configuration" class="dd-item 
        
        
        
        ">
      <a href="/en/basics/configuration/">
          Configuration
          
            <i class="fas read-icon"></i>
          
      </a>
      
              
    </li>
  
 

            
          
            
            


 
  
    
    <li data-nav-id="/en/basics/style-customization/" title="Style customization" class="dd-item 
        
        
        
        ">
      <a href="/en/basics/style-customization/">
          Style customization
          
            <i class="fas read-icon"></i>
          
      </a>
      
              
    </li>
  
 

            
          
        
        </ul>
              
    </li>
  
 

          
          


 
  
    
    <li data-nav-id="/en/cont/" title="Content" class="dd-item 
        parent
        
        
        ">
      <a href="/en/cont/">
          <b>2. </b>Content
          
            <i class="fas read-icon"></i>
          
      </a>
      
      
        <ul>
          
          
            
          
          
          
        
          
            
            


 
  
    
    <li data-nav-id="/en/cont/pages/" title="Pages organization" class="dd-item 
        parent
        active
        
        ">
      <a href="/en/cont/pages/">
          Pages organization
          
            <i class="fas read-icon"></i>
          
      </a>
      
              
    </li>
  
 

            
          
            
            


 
  
    
      <li data-nav-id="/en/cont/archetypes/" title="Archetypes" class="dd-item ">
        <a href="/en/cont/archetypes/">
        Archetypes
        <i class="fas fa-check read-icon"></i>
        </a>
    </li>
     
  
 

            
          
            
            


 
  
    
      <li data-nav-id="/en/cont/markdown/" title="Markdown syntax" class="dd-item ">
        <a href="/en/cont/markdown/">
        Markdown syntax
        <i class="fas fa-check read-icon"></i>
        </a>
    </li>
     
  
 

            
          
            
            


 
  
    
      <li data-nav-id="/en/cont/menushortcuts/" title="Menu extra shortcuts" class="dd-item ">
        <a href="/en/cont/menushortcuts/">
        Menu extra shortcuts
        <i class="fas fa-check read-icon"></i>
        </a>
    </li>
     
  
 

            
          
            
            


 
  
    
      <li data-nav-id="/en/cont/icons/" title="Icons and logos" class="dd-item ">
        <a href="/en/cont/icons/">
        Icons and logos
        <i class="fas fa-check read-icon"></i>
        </a>
    </li>
     
  
 

            
          
            
            


 
  
    
    <li data-nav-id="/en/cont/i18n/" title="Multilingual and i18n" class="dd-item 
        
        
        
        ">
      <a href="/en/cont/i18n/">
          Multilingual and i18n
          
            <i class="fas read-icon"></i>
          
      </a>
      
              
    </li>
  
 

            
          
        
        </ul>
              
    </li>
  
 

          
          


 
  
    
    <li data-nav-id="/en/shortcodes/" title="Shortcodes" class="dd-item 
        
        
        
        ">
      <a href="/en/shortcodes/">
          <b>3. </b>Shortcodes
          
            <i class="fas read-icon"></i>
          
      </a>
      
      
        <ul>
          
          
            
          
          
          
        
          
            
            


 
  
    
      <li data-nav-id="/en/shortcodes/attachments/" title="Attachments" class="dd-item ">
        <a href="/en/shortcodes/attachments/">
        Attachments
        <i class="fas fa-check read-icon"></i>
        </a>
    </li>
     
  
 

            
          
            
            


 
  
    
      <li data-nav-id="/en/shortcodes/button/" title="Button" class="dd-item ">
        <a href="/en/shortcodes/button/">
        Button
        <i class="fas fa-check read-icon"></i>
        </a>
    </li>
     
  
 

            
          
            
            


 
  
    
    <li data-nav-id="/en/shortcodes/children/" title="Children" class="dd-item 
        
        
        
        ">
      <a href="/en/shortcodes/children/">
          Children
          
            <i class="fas read-icon"></i>
          
      </a>
      
      
        <ul>
          
          
            
          
          
          
        
          
            
            


 
  
    
    <li data-nav-id="/en/shortcodes/children/children-1/" title="page 1" class="dd-item 
        
        
        
        ">
      <a href="/en/shortcodes/children/children-1/">
          page 1
          
            <i class="fas read-icon"></i>
          
      </a>
      
      
        <ul>
          
          
            
          
          
          
        
          
            
            


 
  
    
    <li data-nav-id="/en/shortcodes/children/children-1/children-1-1/" title="page 1-1" class="dd-item 
        
        
        
        ">
      <a href="/en/shortcodes/children/children-1/children-1-1/">
          page 1-1
          
            <i class="fas read-icon"></i>
          
      </a>
      
      
        <ul>
          
          
            
          
          
          
        
          
            
            


 
  
    
    <li data-nav-id="/en/shortcodes/children/children-1/children-1-1/children-1-1-1/" title="page 1-1-1" class="dd-item 
        
        
        
        ">
      <a href="/en/shortcodes/children/children-1/children-1-1/children-1-1-1/">
          page 1-1-1
          
            <i class="fas read-icon"></i>
          
      </a>
      
      
        <ul>
          
          
            
          
          
          
        
          
            
            


 
  
    
    <li data-nav-id="/en/shortcodes/children/children-1/children-1-1/children-1-1-1/children-1-1-1-1/" title="page 1-1-1-1" class="dd-item 
        
        
        
        ">
      <a href="/en/shortcodes/children/children-1/children-1-1/children-1-1-1/children-1-1-1-1/">
          page 1-1-1-1
          
            <i class="fas read-icon"></i>
          
      </a>
      
      
        <ul>
          
          
            
          
          
          
        
          
            
            


 
  
    
    <li data-nav-id="/en/shortcodes/children/children-1/children-1-1/children-1-1-1/children-1-1-1-1/children-1-1-1-1-1/" title="page 1-1-1-1-1" class="dd-item 
        
        
        
        ">
      <a href="/en/shortcodes/children/children-1/children-1-1/children-1-1-1/children-1-1-1-1/children-1-1-1-1-1/">
          page 1-1-1-1-1
          
            <i class="fas read-icon"></i>
          
      </a>
      
              
    </li>
  
 

            
          
        
        </ul>
              
    </li>
  
 

            
          
        
        </ul>
              
    </li>
  
 

            
          
        
        </ul>
              
    </li>
  
 

            
          
        
        </ul>
              
    </li>
  
 

            
          
            
            


 
  
    
    <li data-nav-id="/en/shortcodes/children/children-2/" title="page 2" class="dd-item 
        
        
        
        ">
      <a href="/en/shortcodes/children/children-2/">
          page 2
          
            <i class="fas read-icon"></i>
          
      </a>
      
      
        <ul>
          
          
          
          
        
          
            
            


 
  
    
      <li data-nav-id="/en/shortcodes/children/children-2/test3/" title="page test 3" class="dd-item ">
        <a href="/en/shortcodes/children/children-2/test3/">
        page test 3
        <i class="fas fa-check read-icon"></i>
        </a>
    </li>
     
  
 

            
          
        
        </ul>
              
    </li>
  
 

            
          
            
            


 
  
    
    <li data-nav-id="/en/shortcodes/children/children-3/" title="page 3" class="dd-item 
        
        
        
        ">
      <a href="/en/shortcodes/children/children-3/">
          page 3
          
            <i class="fas read-icon"></i>
          
      </a>
      
              
    </li>
  
 

            
          
             
            
          
            
            


 
  
    
      <li data-nav-id="/en/shortcodes/children/test/" title="page test" class="dd-item ">
        <a href="/en/shortcodes/children/test/">
        page test
        <i class="fas fa-check read-icon"></i>
        </a>
    </li>
     
  
 

            
          
        
        </ul>
              
    </li>
  
 

            
          
            
            


 
  
    
      <li data-nav-id="/en/shortcodes/expand/" title="Expand" class="dd-item ">
        <a href="/en/shortcodes/expand/">
        Expand
        <i class="fas fa-check read-icon"></i>
        </a>
    </li>
     
  
 

            
          
            
            


 
  
    
      <li data-nav-id="/en/shortcodes/mermaid/" title="Mermaid" class="dd-item ">
        <a href="/en/shortcodes/mermaid/">
        Mermaid
        <i class="fas fa-check read-icon"></i>
        </a>
    </li>
     
  
 

            
          
            
            


 
  
    
      <li data-nav-id="/en/shortcodes/notice/" title="Notice" class="dd-item ">
        <a href="/en/shortcodes/notice/">
        Notice
        <i class="fas fa-check read-icon"></i>
        </a>
    </li>
     
  
 

            
          
            
            


 
  
    
      <li data-nav-id="/en/shortcodes/siteparam/" title="Site param" class="dd-item ">
        <a href="/en/shortcodes/siteparam/">
        Site param
        <i class="fas fa-check read-icon"></i>
        </a>
    </li>
     
  
 

            
          
        
        </ul>
              
    </li>
  
 

          
         
    </ul>

    
    
      <section id="shortcuts">
        <h3>More</h3>
        <ul>
          
              <li> 
                  <a class="padding" href="https://github.com/matcornic/hugo-theme-learn"><i class='fab fa-fw fa-github'></i> Github repo</a>
              </li>
          
              <li> 
                  <a class="padding" href="/en/showcase"><i class='fas fa-fw fa-camera'></i> Showcases</a>
              </li>
          
              <li> 
                  <a class="padding" href="https://gohugo.io/"><i class='fas fa-fw fa-bookmark'></i> Hugo Documentation</a>
              </li>
          
              <li> 
                  <a class="padding" href="en/credits"><i class='fas fa-fw fa-bullhorn'></i> Credits</a>
              </li>
          
        </ul>
      </section>
    

    
    <section id="prefooter">
      <hr/>
      <ul>
      
        <li>
          <a class="padding">
            <i class="fas fa-language fa-fw"></i>
          <div class="select-style">
            <select id="select-language" onchange="location = this.value;">
          
          
          
              
              
                  
                    
                    
                      <option id="en" value="/en/cont/pages/" selected>English</option>
                    
                  
              
                  
              
          
              
              
                  
              
                  
                    
                    
                      <option id="fr" value="/fr/cont/pages/">Français</option>
                    
                  
              
          
        </select>
        <svg version="1.1" id="Capa_1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px"
          width="255px" height="255px" viewBox="0 0 255 255" style="enable-background:new 0 0 255 255;" xml:space="preserve">
          <g>
            <g id="arrow-drop-down">
              <polygon points="0,63.75 127.5,191.25 255,63.75 		" />
            </g>
          </g>
        </svg>
        </div>
        </a>
        </li>
      
      
      
        <li><a class="padding" href="#" data-clear-history-toggle=""><i class="fas fa-history fa-fw"></i> Clear History</a></li>
      
      </ul>
    </section>
    
    <section id="footer">
      <center>
    
    <a class="github-button" href="https://github.com/matcornic/hugo-theme-learn/archive/master.zip" data-icon="octicon-cloud-download" aria-label="Download matcornic/hugo-theme-learn on GitHub">Download</a>

    
    <a class="github-button" href="https://github.com/matcornic/hugo-theme-learn" data-icon="octicon-star" data-show-count="true" aria-label="Star matcornic/hugo-theme-learn on GitHub">Star</a>

    
    <a class="github-button" href="https://github.com/matcornic/hugo-theme-learn/fork" data-icon="octicon-repo-forked" data-show-count="true" aria-label="Fork matcornic/hugo-theme-learn on GitHub">Fork</a>

    <p>Built with <a href="https://github.com/matcornic/hugo-theme-learn"><i class="fas fa-heart"></i></a> from <a href="http://getgrav.org">Grav</a> and <a href="http://gohugo.io/">Hugo</a></p>
</center>

<script async defer src="https://buttons.github.io/buttons.js"></script>

    </section>
  </div>
</nav>





        <section id="body">
        <div id="overlay"></div>
        <div class="padding highlightable">
              
              <div>
                <div id="top-bar">
                
                  
                  
                  
                  <div id="top-github-link">
                    <a class="github-link" title='Edit this page' href="https://github.com/matcornic/hugo-theme-learn/edit/master/exampleSite/content/cont/pages/_index.en.md" target="blank">
                      <i class="fas fa-code-branch"></i>
                      <span id="top-github-link-text">Edit this page</span>
                    </a>
                  </div>
                  
                
                
                <div id="breadcrumbs" itemscope="" itemtype="http://data-vocabulary.org/Breadcrumb">
                    <span id="sidebar-toggle-span">
                        <a href="#" id="sidebar-toggle" data-sidebar-toggle="">
                          <i class="fas fa-bars"></i>
                        </a>
                    </span>
                  
                  <span id="toc-menu"><i class="fas fa-list-alt"></i></span>
                  
                  <span class="links">
                 
                 
                    
          
          
            
            
          
          
            
            
          
          
            <a href='/en/'>Learn Theme for Hugo</a> > <a href='/en/cont/'>Content</a> > Pages organization
          
         
          
         
          
        
                 
                  </span>
                </div>
                
                    <div class="progress">
    <div class="wrapper">
<nav id="TableOfContents">
<ul>
<li>
<ul>
<li><a href="#folders">Folders</a></li>
<li><a href="#types">Types</a></li>
<li><a href="#create-your-project">Create your project</a></li>
<li><a href="#front-matter-configuration">Front Matter configuration</a>
<ul>
<li><a href="#add-icon-to-a-menu-entry">Add icon to a menu entry</a></li>
<li><a href="#ordering-sibling-menu-page-entries">Ordering sibling menu/page entries</a></li>
<li><a href="#using-a-custom-title-for-menu-entries">Using a custom title for menu entries</a></li>
</ul></li>
<li><a href="#homepage">Homepage</a></li>
</ul></li>
</ul>
</nav>
    </div>
</div>

                
              </div>
            </div>
            

        
        <div id="body-inner">
          
            <h1>Pages organization</h1>
          

        




<p>In <strong>Hugo</strong>, pages are the core of your site. Once it is configured, pages are definitely the added value to your documentation site.</p>

<h2 id="folders">Folders</h2>

<p>Organize your site like <a href="https://gohugo.io/content/organization/">any other Hugo project</a>. Typically, you will have a <em>content</em> folder with all your pages.</p>

<pre><code>content
├── level-one
│   ├── level-two
│   │   ├── level-three
│   │   │   ├── level-four
│   │   │   │   ├── _index.md       &lt;-- /level-one/level-two/level-three/level-four
│   │   │   │   ├── page-4-a.md     &lt;-- /level-one/level-two/level-three/level-four/page-4-a
│   │   │   │   ├── page-4-b.md     &lt;-- /level-one/level-two/level-three/level-four/page-4-b
│   │   │   │   └── page-4-c.md     &lt;-- /level-one/level-two/level-three/level-four/page-4-c
│   │   │   ├── _index.md           &lt;-- /level-one/level-two/level-three
│   │   │   ├── page-3-a.md         &lt;-- /level-one/level-two/level-three/page-3-a
│   │   │   ├── page-3-b.md         &lt;-- /level-one/level-two/level-three/page-3-b
│   │   │   └── page-3-c.md         &lt;-- /level-one/level-two/level-three/page-3-c
│   │   ├── _index.md               &lt;-- /level-one/level-two
│   │   ├── page-2-a.md             &lt;-- /level-one/level-two/page-2-a
│   │   ├── page-2-b.md             &lt;-- /level-one/level-two/page-2-b
│   │   └── page-2-c.md             &lt;-- /level-one/level-two/page-2-c
│   ├── _index.md                   &lt;-- /level-one
│   ├── page-1-a.md                 &lt;-- /level-one/page-1-a
│   ├── page-1-b.md                 &lt;-- /level-one/page-1-b
│   └── page-1-c.md                 &lt;-- /level-one/page-1-c
├── _index.md                       &lt;-- /
└── page-top.md                     &lt;-- /page-top
</code></pre>

<div class="notices note" ><p><code>_index.md</code> is required in each folder, it’s your “folder home page”</p>
</div>


<h2 id="types">Types</h2>

<p><strong>Hugo-theme-learn</strong> defines two types of pages. <em>Default</em> and <em>Chapter</em>. Both can be used at any level of the documentation, the only difference being layout display.</p>

<p>A <strong>Chapter</strong> displays a page meant to be used as introduction for a set of child pages. Commonly, it contains a simple title and a catch line to define content that can be found under it.
You can define any HTML as prefix for the menu. In the example below, it&rsquo;s just a number but that could be an <a href="https://fortawesome.github.io/Font-Awesome/">icon</a>.</p>

<p><img src="/cont/pages/images/pages-chapter.png?width=50pc" alt="Chapter page" /></p>

<pre><code class="language-markdown">+++
title = &quot;Basics&quot;
chapter = true
weight = 5
pre = &quot;&lt;b&gt;1. &lt;/b&gt;&quot;
+++

### Chapter 1

# Basics

Discover what this Hugo theme is all about and the core-concepts behind it.
</code></pre>

<p>To tell <strong>Hugo-theme-learn</strong> to consider a page as a chapter, set <code>chapter=true</code> in the Front Matter of the page.</p>

<p>A <strong>Default</strong> page is any other content page.</p>

<p><img src="/cont/pages/images/pages-default.png?width=50pc" alt="Default page" /></p>

<pre><code class="language-toml">+++
title = &quot;Installation&quot;
weight = 15
+++
</code></pre>

<p>The following steps are here to help you initialize your new website. If you don&rsquo;t know Hugo at all, we strongly suggest you to train by following this <a href="https://gohugo.io/overview/quickstart/">great documentation for beginners</a>.</p>

<h2 id="create-your-project">Create your project</h2>

<p>Hugo provides a <code>new</code> command to create a new website.</p>

<pre><code>hugo new site &lt;new_project&gt;
</code></pre>

<p><strong>Hugo-theme-learn</strong> provides <a href="/en/cont/archetypes/">archetypes</a> to help you create this kind of pages.</p>

<h2 id="front-matter-configuration">Front Matter configuration</h2>

<p>Each Hugo page has to define a <a href="https://gohugo.io/content/front-matter/">Front Matter</a> in <em>yaml</em>, <em>toml</em> or <em>json</em>.</p>

<p><strong>Hugo-theme-learn</strong> uses the following parameters on top of Hugo ones :</p>

<pre><code class="language-toml">+++
# Table of content (toc) is enabled by default. Set this parameter to true to disable it.
# Note: Toc is always disabled for chapter pages
disableToc = &quot;false&quot;
# If set, this will be used for the page's menu entry (instead of the `title` attribute)
menuTitle = &quot;&quot;
# The title of the page in menu will be prefixed by this HTML content
pre = &quot;&quot;
# The title of the page in menu will be postfixed by this HTML content
post = &quot;&quot;
# Set the page as a chapter, changing the way it's displayed
chapter = false
# Hide a menu entry by setting this to true
hidden = false
# Display name of this page modifier. If set, it will be displayed in the footer.
LastModifierDisplayName = &quot;&quot;
# Email of this page modifier. If set with LastModifierDisplayName, it will be displayed in the footer
LastModifierEmail = &quot;&quot;
+++
</code></pre>

<h3 id="add-icon-to-a-menu-entry">Add icon to a menu entry</h3>

<p>In the page frontmatter, add a <code>pre</code> param to insert any HTML code before the menu label. The example below uses the Github icon.</p>

<pre><code class="language-toml">+++
title = &quot;Github repo&quot;
pre = &quot;&lt;i class='fab fa-github'&gt;&lt;/i&gt; &quot;
+++
</code></pre>

<p><img src="/cont/pages/images/frontmatter-icon.png" alt="Title with icon" /></p>

<h3 id="ordering-sibling-menu-page-entries">Ordering sibling menu/page entries</h3>

<p>Hugo provides a <a href="https://gohugo.io/content/ordering/">flexible way</a> to handle order for your pages.</p>

<p>The simplest way is to set <code>weight</code> parameter to a number.</p>

<pre><code class="language-toml">+++
title = &quot;My page&quot;
weight = 5
+++
</code></pre>

<h3 id="using-a-custom-title-for-menu-entries">Using a custom title for menu entries</h3>

<p>By default, <strong>Hugo-theme-learn</strong> will use a page&rsquo;s <code>title</code> attribute for the menu item (or <code>linkTitle</code> if defined).</p>

<p>But a page&rsquo;s title has to be descriptive on its own while the menu is a hierarchy.
We&rsquo;ve added the <code>menuTitle</code> parameter for that purpose:</p>

<p>For example (for a page named <code>content/install/linux.md</code>):</p>

<pre><code class="language-toml">+++
title = &quot;Install on Linux&quot;
menuTitle = &quot;Linux&quot;
+++
</code></pre>

<h2 id="homepage">Homepage</h2>

<p>To configure your home page, you basically have three choices:</p>

<ol>
<li>Create an <code>_index.md</code> document in <code>content</code> folder and fill the file with <em>Markdown content</em></li>
<li>Create an <code>index.html</code> file in the <code>static</code> folder and fill the file with <em>HTML content</em></li>
<li>Configure your server to automatically redirect home page to one your documentation page</li>
</ol>


<footer class=" footline" >
	
</footer>

        
        </div> 
        

      </div>

    <div id="navigation">
        
        
        
        
            
            
                
                    
                    
                
                

                    
                    
                        
                    
                    

                    
                        
            
            
                
                    
                        
                        
                    
                
                

                    
                    
                        
                    
                    

                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
            
        
                    
                        
            
            
                
                    
                    
                
                

                    
                    
                        
                    
                    

                    
                        
            
            
                
                    
                    
                
                

                    
                    
                    

                    
            
        
                    
                        
            
            
                
                    
                        
                        
                    
                
                

                    
                    
                    

                    
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                        
                    
                    

                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                        
                    
                    

                    
                        
            
            
                
                    
                
                

                    
                    
                        
                    
                    

                    
                        
            
            
                
                    
                
                

                    
                    
                        
                    
                    

                    
                        
            
            
                
                    
                
                

                    
                    
                        
                    
                    

                    
                        
            
            
                
                    
                
                

                    
                    
                        
                    
                    

                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
            
        
                    
            
        
                    
            
        
                    
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
                        
            
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
                        
            
            
                
                    
                
                

                    
                    
                    

                    
            
        
                    
            
        
                    
            
        
        
        


	 
	 
		
			<a class="nav nav-prev" href="/en/cont/" title="Content"> <i class="fa fa-chevron-left"></i></a>
		
		
			<a class="nav nav-next" href="/en/cont/archetypes/" title="Archetypes" style="margin-right: 0px;"><i class="fa fa-chevron-right"></i></a>
		
	
    </div>

    </section>
    
    <div style="left: -1000px; overflow: scroll; position: absolute; top: -1000px; border: none; box-sizing: content-box; height: 200px; margin: 0px; padding: 0px; width: 200px;">
      <div style="border: none; box-sizing: content-box; height: 200px; margin: 0px; padding: 0px; width: 200px;"></div>
    </div>
    <script src="/js/clipboard.min.js?1545065465"></script>
    <script src="/js/perfect-scrollbar.min.js?1545065465"></script>
    <script src="/js/perfect-scrollbar.jquery.min.js?1545065465"></script>
    <script src="/js/jquery.sticky.js?1545065465"></script>
    <script src="/js/featherlight.min.js?1545065465"></script>
    <script src="/js/html5shiv-printshiv.min.js?1545065465"></script>
    <script src="/js/highlight.pack.js?1545065465"></script>
    <script>hljs.initHighlightingOnLoad();</script>
    <script src="/js/modernizr.custom.71422.js?1545065465"></script>
    <script src="/js/learn.js?1545065465"></script>
    <script src="/js/hugo-learn.js?1545065465"></script>

    <link href="/mermaid/mermaid.css?1545065465" type="text/css" rel="stylesheet" />
    <script src="/mermaid/mermaid.js?1545065465"></script>
    <script>
        mermaid.initialize({ startOnLoad: true });
    </script>
    <script>
  (function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
  (i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
  m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
  })(window,document,'script','https://www.google-analytics.com/analytics.js','ga');

  ga('create', 'UA-105947713-1', 'auto');
  ga('send', 'pageview');

</script>
  </body>
</html>
